> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Create Group

> Create a new contact group.

## Create Group

`POST /api/groups`

Create a new contact group for segmentation.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/groups \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Leads", "description": "Potential customers" }'
```

### Request body

**name** `string` *required*

Group name.

**description** `string`

Group description.

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 5,
    "name": "Leads",
    "description": "Potential customers",
    "contactCount": 0,
    "createdAt": "2026-01-15T12:00:00Z"
  }
}
```

***

## Get group by ID

`GET /api/groups/:id`

Retrieve a specific group by its ID.

```bash cURL theme={null}
curl https://zeplo.ai/api/groups/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.